STRUCT HRTIMER(9)

NAME
struct hrtimer - the basic hrtimer structure

SYNOPSIS
struct hrtimer {
  struct rb_node node;
  ktime_t expires;
  enum hrtimer_state state;
  int (* function) (void *);
  void * data;
  struct hrtimer_base * base;
};

MEMBERS

node
    red black tree node for time ordered insertion

expires
    the absolute expiry time in the hrtimers internal representation. The time is related to the clock on which the timer is based.

state
    state of the timer

function
    timer expiry callback function

data
    argument for the callback function

base
    pointer to the timer base (per cpu and per clock)

DESCRIPTION

The hrtimer structure must be initialized by init_hrtimer_#CLOCKTYPE

DESCRIPTION

The hrtimer structure must be initialized by init_hrtimer_#CLOCKTYPE